ubuntu8.04安装oracle的问题

数据库服务和管理,MySQL/PostgreSQL/Oracle/Sybase 等
回复
muyouyou
帖子: 3
注册时间: 2008-08-25 19:35
送出感谢: 0
接收感谢: 0

ubuntu8.04安装oracle的问题

#1

帖子 muyouyou » 2008-09-22 18:18

在安装到66%的时候,产生错误。如下:
----------------------------------
rm -f ntcontab.*
(if [ "compile" = "compile" ] ; then \
/home/oracle/product/10.1.0/Db_1/bin/gennttab > ntcontab.c ;\
/usr/bin/gcc -c ntcontab.c ;\
rm -f /home/oracle/product/10.1.0/Db_1/lib/ntcontab.o ;\
mv ntcontab.o /home/oracle/product/10.1.0/Db_1/lib/ ;\
/usr/bin/ar rv /home/oracle/product/10.1.0/Db_1/lib/libn10.a /home/oracle/product/10.1.0/Db_1/lib/ntcontab.o ; fi)
ntcontab.c:7:23: error: sys/types.h: No such file or directory
mv: cannot stat `ntcontab.o': No such file or directory
/usr/bin/ar: /home/oracle/product/10.1.0/Db_1/lib/ntcontab.o: No such file or directory
make: *** [ntcontab.o] Error 1

End output from spawned process.
----------------------------------
Exception thrown from action: make
Exception Name: MakefileException
Exception String: Error in invoking target 'ntcontab.o' of makefile '/home/oracle/product/10.1.0/Db_1/network/lib/ins_net_client.mk'. See '/home/oracle/oraInventory/logs/installActions2008-09-22_03-24-45PM.log' for details.

后来上网看帖子,貌似是缺少了开发库文件类似libc6-dev,我用apt安装的时候发现这个包依赖libc6(2.6.1-1ubuntu10),我的libc是2.7-10ubuntu3的,不能安装,我想使用新立得的强制恢复成原来的版本,没反应。不知道怎么办。
望高手指点。
谢谢。
youjing55
帖子: 2
注册时间: 2008-09-22 3:28
送出感谢: 0
接收感谢: 0

Re: ubuntu8.04安装oracle的问题

#2

帖子 youjing55 » 2008-09-30 1:29

试试 apt-get install build-essential
muyouyou
帖子: 3
注册时间: 2008-08-25 19:35
送出感谢: 0
接收感谢: 0

Re: ubuntu8.04安装oracle的问题

#3

帖子 muyouyou » 2008-09-30 11:49

就是试过了apt-get install build-essential,提示我缺libc6-dev,然后才有上文的。。。
回复

回到 “数据库管理”